Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Static Public Member Functions | List of all members
FlexibleTransform Class Reference

Class to handle a flexible Transform type reference method there is more than one. More...

Inheritance diagram for FlexibleTransform:

## Public Member Functions
| FlexibleTransform ()
| FlexibleTransform default constructor More...
| FlexibleTransform (Transform value)
| FlexibleTransform constructor More...
| FlexibleTransform (TransformParameterReference parameter)
| FlexibleTransform constructor More...
| FlexibleTransform (InputSlotTransform slot)
| FlexibleTransform constructor More...
| FlexibleTransform (FlexibleHierarchyType hierarchyType)
| FlexibleTransform constructor. More...

## Static Public Member Functions
static | operator Transform (FlexibleTransform flexible)
| Cast FlexibleTransform to Transform. More...
static | operator FlexibleTransform (Transform value)
| Cast Transform to FlexibleTransform. More...

## Detailed Description

Class to handle a flexible Transform type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleTransform() [1/5]

FlexibleTransform | ( |  | ) |

FlexibleTransform default constructor

## ◆ FlexibleTransform() [2/5]

FlexibleTransform | ( | Transform | value | ) |

FlexibleTransform constructor

Parameters

  value | Value

## ◆ FlexibleTransform() [3/5]

FlexibleTransform | ( | TransformParameterReference | parameter | ) |

FlexibleTransform constructor

Parameters

  parameter | Parameter

## ◆ FlexibleTransform() [4/5]

FlexibleTransform | ( | InputSlotTransform | slot | ) |

FlexibleTransform constructor

Parameters

  slot | Slot

## ◆ FlexibleTransform() [5/5]

FlexibleTransform | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleTransform constructor.

Parameters

  hierarchyType | Hierarchy type of referenced object

## Member Function Documentation

## ◆ operator FlexibleTransform()

static operator FlexibleTransform | ( | Transform | value | ) |
| explicit static

Cast Transform to FlexibleTransform.

Parameters

  value | Transform

## ◆ operator Transform()

static operator Transform | ( | FlexibleTransform | flexible | ) |
| explicit static

Cast FlexibleTransform to Transform.

Parameters

  flexible | FlexibleTransform